Skip to content
Developer

BaseLocation

Locations and bookings5 EndpointsEvent / BaseLocation

Returns a list of BaseLocation entries.

GET/api/event/base_location

Query parameters

namestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
tokenstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
locationTypestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addressStreetLevelstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addressCitystringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addressZipstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addressCountrystringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addressGeoLatstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addressGeoLngstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
isUiFilterstringThis property is used to mark an entity as a filter for the frontend | Requires access right: PUBLIC, LOGGED_IN, SCOPE
inContactCenterstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived
slugIdentifierstring
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Return all BaseLocationarray<BaseLocation>

Show fields (41)
  • idinteger

    Primary key of the location. Internal ID.

  • tokenstring

    Public token of the location. Used in links instead of the ID.

  • location_typestring

    Type of the location, for example room, hall or outdoor area.

  • in_contact_centerboolean

    The location is shown in the contact center.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • namestring

    Name of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser42

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • import_origin_idstring

    ID of the record in the source system of the import.

  • import_origin_id_altstring

    Alternative ID of the record in the source system of the import.

  • short_identifierstring

    Short identifier of the entity.

  • image_urlstring

    URL of the image of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • opening_hours_mondaystring

    Opening hours on Monday.

  • opening_hours_tuesdaystring

    Opening hours on Tuesday.

  • opening_hours_wednesdaystring

    Opening hours on Wednesday.

  • opening_hours_thursdaystring

    Opening hours on Thursday.

  • opening_hours_fridaystring

    Opening hours on Friday.

  • opening_hours_saturdaystring

    Opening hours on Saturday.

  • opening_hours_sundaystring

    Opening hours on Sunday.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

  • ucatsarray<UnifiedCategory18>

    Unified categories of the entity.

    Show fields (34)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory18>

      Child categories.

    • parentUnifiedCategory18

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • import_origin_idstring

      ID of the record in the source system of the import.

    • import_origin_id_altstring

      Alternative ID of the record in the source system of the import.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_location \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "name": "Beispiel",
    "image_url": "https://vynst.de"
  }
]

Add a new BaseLocation

POST/api/event/base_location

Request body application/json

  • dataBaseLocation2
    Show fields (1)
    • in_contact_centerboolean

      The location is shown in the contact center.

Responses

200Add a new BaseLocationBaseLocation

Show fields (41)
  • idinteger

    Primary key of the location. Internal ID.

  • tokenstring

    Public token of the location. Used in links instead of the ID.

  • location_typestring

    Type of the location, for example room, hall or outdoor area.

  • in_contact_centerboolean

    The location is shown in the contact center.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • namestring

    Name of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser42

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • import_origin_idstring

    ID of the record in the source system of the import.

  • import_origin_id_altstring

    Alternative ID of the record in the source system of the import.

  • short_identifierstring

    Short identifier of the entity.

  • image_urlstring

    URL of the image of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • opening_hours_mondaystring

    Opening hours on Monday.

  • opening_hours_tuesdaystring

    Opening hours on Tuesday.

  • opening_hours_wednesdaystring

    Opening hours on Wednesday.

  • opening_hours_thursdaystring

    Opening hours on Thursday.

  • opening_hours_fridaystring

    Opening hours on Friday.

  • opening_hours_saturdaystring

    Opening hours on Saturday.

  • opening_hours_sundaystring

    Opening hours on Sunday.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

  • ucatsarray<UnifiedCategory18>

    Unified categories of the entity.

    Show fields (34)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory18>

      Child categories.

    • parentUnifiedCategory18

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • import_origin_idstring

      ID of the record in the source system of the import.

    • import_origin_id_altstring

      Alternative ID of the record in the source system of the import.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/base_location \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "in_contact_center": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "name": "Beispiel",
  "image_url": "https://vynst.de"
}

Return a single BaseLocation

GET/api/event/base_location/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return a single BaseLocationBaseLocation

Show fields (41)
  • idinteger

    Primary key of the location. Internal ID.

  • tokenstring

    Public token of the location. Used in links instead of the ID.

  • location_typestring

    Type of the location, for example room, hall or outdoor area.

  • in_contact_centerboolean

    The location is shown in the contact center.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • namestring

    Name of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser42

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • import_origin_idstring

    ID of the record in the source system of the import.

  • import_origin_id_altstring

    Alternative ID of the record in the source system of the import.

  • short_identifierstring

    Short identifier of the entity.

  • image_urlstring

    URL of the image of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • opening_hours_mondaystring

    Opening hours on Monday.

  • opening_hours_tuesdaystring

    Opening hours on Tuesday.

  • opening_hours_wednesdaystring

    Opening hours on Wednesday.

  • opening_hours_thursdaystring

    Opening hours on Thursday.

  • opening_hours_fridaystring

    Opening hours on Friday.

  • opening_hours_saturdaystring

    Opening hours on Saturday.

  • opening_hours_sundaystring

    Opening hours on Sunday.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

  • ucatsarray<UnifiedCategory18>

    Unified categories of the entity.

    Show fields (34)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory18>

      Child categories.

    • parentUnifiedCategory18

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • import_origin_idstring

      ID of the record in the source system of the import.

    • import_origin_id_altstring

      Alternative ID of the record in the source system of the import.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_location/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "name": "Beispiel",
  "image_url": "https://vynst.de"
}

Update a BaseLocation

PUT/api/event/base_location/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseLocation2
    Show fields (1)
    • in_contact_centerboolean

      The location is shown in the contact center.

Responses

200Update a BaseLocationBaseLocation

Show fields (41)
  • idinteger

    Primary key of the location. Internal ID.

  • tokenstring

    Public token of the location. Used in links instead of the ID.

  • location_typestring

    Type of the location, for example room, hall or outdoor area.

  • in_contact_centerboolean

    The location is shown in the contact center.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • namestring

    Name of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser42

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • import_origin_idstring

    ID of the record in the source system of the import.

  • import_origin_id_altstring

    Alternative ID of the record in the source system of the import.

  • short_identifierstring

    Short identifier of the entity.

  • image_urlstring

    URL of the image of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • opening_hours_mondaystring

    Opening hours on Monday.

  • opening_hours_tuesdaystring

    Opening hours on Tuesday.

  • opening_hours_wednesdaystring

    Opening hours on Wednesday.

  • opening_hours_thursdaystring

    Opening hours on Thursday.

  • opening_hours_fridaystring

    Opening hours on Friday.

  • opening_hours_saturdaystring

    Opening hours on Saturday.

  • opening_hours_sundaystring

    Opening hours on Sunday.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

  • ucatsarray<UnifiedCategory18>

    Unified categories of the entity.

    Show fields (34)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory18>

      Child categories.

    • parentUnifiedCategory18

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • import_origin_idstring

      ID of the record in the source system of the import.

    • import_origin_id_altstring

      Alternative ID of the record in the source system of the import.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/base_location/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "in_contact_center": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "name": "Beispiel",
  "image_url": "https://vynst.de"
}

Update a BaseLocation

PATCH/api/event/base_location/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseLocation2
    Show fields (1)
    • in_contact_centerboolean

      The location is shown in the contact center.

Responses

200Update a BaseLocationBaseLocation

Show fields (41)
  • idinteger

    Primary key of the location. Internal ID.

  • tokenstring

    Public token of the location. Used in links instead of the ID.

  • location_typestring

    Type of the location, for example room, hall or outdoor area.

  • in_contact_centerboolean

    The location is shown in the contact center.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • namestring

    Name of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser42

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • import_origin_idstring

    ID of the record in the source system of the import.

  • import_origin_id_altstring

    Alternative ID of the record in the source system of the import.

  • short_identifierstring

    Short identifier of the entity.

  • image_urlstring

    URL of the image of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • opening_hours_mondaystring

    Opening hours on Monday.

  • opening_hours_tuesdaystring

    Opening hours on Tuesday.

  • opening_hours_wednesdaystring

    Opening hours on Wednesday.

  • opening_hours_thursdaystring

    Opening hours on Thursday.

  • opening_hours_fridaystring

    Opening hours on Friday.

  • opening_hours_saturdaystring

    Opening hours on Saturday.

  • opening_hours_sundaystring

    Opening hours on Sunday.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

  • ucatsarray<UnifiedCategory18>

    Unified categories of the entity.

    Show fields (34)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory18>

      Child categories.

    • parentUnifiedCategory18

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • import_origin_idstring

      ID of the record in the source system of the import.

    • import_origin_id_altstring

      Alternative ID of the record in the source system of the import.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/base_location/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "in_contact_center": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "name": "Beispiel",
  "image_url": "https://vynst.de"
}